#include "hashtools.h"
#include <QCryptographicHash>

HashTools::HashTools()
{

}

QString HashTools::hashingMD5string(QString str)
{// Вычисление MD5 хэша строки

    QByteArray md5Hash = QCryptographicHash::hash(str.toUtf8(), QCryptographicHash::Md5).toHex();
    return QString(md5Hash);
}
